## php-suhosin 0.9.33

=== debian/changelog ===
php-suhosin (0.9.33-3build1) quantal; urgency=low

  * No-change rebuild for phpapi change

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 30 Jun 2012 13:04:44 +0400

php-suhosin (0.9.33-3) unstable; urgency=low

  * Correct packaging and install suhosin.so as expected (closes: #674713).
  * Initial support for PHP 5.4 (closes: #669972).
  * Move suhosin.ini to /etc/php5/mods-available as per new policy
    (closes: #674190).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 29 May 2012 07:38:21 +0000

php-suhosin (0.9.33-2) unstable; urgency=low

  * New maintainer (closes: #662637).
  * Clean up packaging, updated Standards-Version and switched to 3.0 (quilt)
    source format.
  * Make it build with PHP 5.4 (closes: #656486, #663954, #667865) with
    php54_fixes.patch added.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Mon, 02 Apr 2012 09:39:37 +0000

php-suhosin (0.9.33-1) unstable; urgency=low

  * New upstream version (Closes: #657190, #631283)
    - Fixed stack based buffer overflow in transparent cookie encryption
    - Fixed environment variables for logging do not go through the filter
      extension anymore
    - Fixed that disabling HTTP response splitting protection also disabled
      NUL byte protection in HTTP headers
    - Removed crypt() support - because not used for PHP >= 5.3.0 anyway
  * Update watch file, upstream changed naming scheme

 -- Jan Wagner <waja@cyconet.org>  Tue, 24 Jan 2012 23:09:33 +0100

php-suhosin (0.9.32.1-1) unstable; urgency=low

  * New upstream version (Closes: #584509)
    - Improved random number seed generation more by adding /dev/urandom juice
    - Fixed missing header file resulting in wrong php_combined_lcg() prototype
      being used
    - Added support for memory_limit > 2GB
    - Fixed missing header file resulting in compile errors
  * Drop 10_fix_function_prototype, integrated upstream
  * Update watch file
  * Bump standards version to 3.9.1, no changes needed

 -- Jan Wagner <waja@cyconet.org>  Thu, 19 Aug 2010 10:02:52 +0200

php-suhosin (0.9.31-1) unstable; urgency=low

  * New upstream version
    - Added line ending characters %0a and %0d to the list of dangerous
      characters handled by suhosin.server.encode and suhosin.server.strip
    - Fixed crash bug with PHP 5.3.x and session module (due to changed session
      globals struct)
    - Added ! protection to PHP session serializer
    - Fixed simulation mode now also affects (dis)allowed functions
    - Fixed missing return (1); in random number generator replacements
    - Fixed random number generator replacement error case behaviour in PHP
      5.3.x
    - Fixed error case handling in function_exists() PHP 5.3.x
    - Merged changes/fixes in import_request_variables()/extract() from upstream
      PHP
    - Fixed suhosin_header_handler to be PHP 5.3.x compatible
    - Merge fixes and new features of PHP's file upload code to suhosin
    - Fix ZTS build of session.c
    - Increased session identifier entropy by using /dev/urandom if available
  * Install upstream suhosin.ini into /usr/share/doc/php5-suhosin/examples/
  * Add dpatch build-infrastructure
  * Add 10_fix_function_prototype.dpatch, to fix function prototype, thanks
    Stefan Esser (Closes: #539307)

 -- Jan Wagner <waja@cyconet.org>  Tue, 13 Apr 2010 13:42:29 +0200

php-suhosin (0.9.29-2) unstable; urgency=low

  * Update address of the Maintainers List
  * Bump Standards-Version to 3.8.4, no changes needed
  * Migrate Vcs-Fields over to scm.uncompleted.org
  * Add 1.0 to debian/source/format
  * Add ${misc:Depends} to dependencies

 -- Jan Wagner <waja@cyconet.org>  Mon, 15 Mar 2010 21:52:04 +0100

php-suhosin (0.9.29-1) unstable; urgency=low

  * New upstream version
  * update our suhosin.ini
  * bump standards version to 3.8.3 (no changes needed)

 -- Jan Wagner <waja@cyconet.org>  Sun, 20 Sep 2009 23:08:24 +0200

php-suhosin (0.9.28-1) unstable; urgency=low

  * New upstream version
    - Fixed crash bug with PHP 5.2.10 caused by a
      change in extension load order of ext/session
      (Closes: #538820)

 -- Alexander Wirt <formorer@debian.org>  Fri, 14 Aug 2009 08:09:56 +0200

php-suhosin (0.9.27-2) UNRELEASED; urgency=low

  * add suhosin.srand.ignore and suhosin.mt_srand.ignore with their default
    settings to suhosin.ini
  * change Section to 'php'
  * bump standards version to 3.8.2 (no changes needed)
  * add link to documentation into suhosin.ini
  * add "Copyright" to packaging copyright to make lintian happy

 -- Jan Wagner <waja@cyconet.org>  Thu, 16 Oct 2008 16:25:04 +0200

php-suhosin (0.9.27-1) unstable; urgency=low

  * new upstream release (closes: #497871)
  * declare license situation of execute.c in copyright file

 -- Jan Wagner <waja@cyconet.org>  Wed, 18 Jun 2008 15:16:33 +0200

php-suhosin (0.9.24-1) unstable; urgency=low

  * new upstream release
  * bump copyright of packaging to 2008 and remove trailing whitespaces
  * Updating standards version to 3.8.0, no changes needed

 -- Jan Wagner <waja@cyconet.org>  Wed, 18 Jun 2008 13:46:15 +0200

php-suhosin (0.9.23-1) unstable; urgency=low

  * new upstream release
  * fix watch file, since URL changed recently (closes: #459994).

 -- Jan Wagner <waja@cyconet.org>  Thu, 17 Jan 2008 16:19:36 +0100

php-suhosin (0.9.22-1) unstable; urgency=low

  [ Jan Wagner ]
  * new upstream release (closes: #454382)

    -  Removed LFS warning message because it crashed on several systems
    -  Fixed function_exists() now checks the Suhosin permissions
    -  Fixed crypt() salt no longer uses Blowfish by default
    -  Fixed .htaccess/perdir support
    -  Fixed compilation problem on OS/X
    -  Added protection against some attacks through _SERVER variables
    -  Added suhosin.server.strip and suhosin.server.encode
    -  Added error message that warns about the LFS binary incompatibility

  * added Vcs- fields, moved Homepage into source header's field
  * add watch file

  [ Alexander Wirt ]
  * Bump standards version

