=== debian/control ===
Source: php-suhosin
Section: php
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Build-Depends: debhelper (>= 8), php5-dev (>= 5.2.0), php5-cli
Homepage: http://www.hardened-php.net/suhosin/
Vcs-Browser: https://scm.uncompleted.org/projects/debian/repository/show/php-suhosin
Vcs-Svn: https://scm.uncompleted.org/svn/debian/php-suhosin/trunk
Standards-Version: 3.9.3

Package: php5-suhosin
Architecture: any
Depends: ${shlibs:Depends}, ${php:Depends}, ${misc:Depends}
Description: advanced protection module for php5
 This package provides a module for suhosin functions.
 .
 Suhosin is an advanced protection system for PHP installations. It was
 designed to protect servers and users from known and unknown flaws in PHP
 applications and the PHP core. Suhosin comes in two independent parts, that
 can be used separately or in combination. The first part is a small patch
 against the PHP core, that implements a few low-level protections against
 bufferoverflows or format string vulnerabilities and the second part is a
 powerful PHP extension that implements all the other protections.
