=== debian/rules ===
#!/usr/bin/make -f
DESTDIR=$(CURDIR)/debian/php5-suhosin
PHP_EX5=$(shell /usr/bin/php-config5 --extension-dir)

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE    ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

#CFLAGS += -O2 -Wall -fno-strict-aliasing
CFLAGS += -O0 -Wall -fno-strict-aliasing

# Enable IEEE-conformant floating point math on alphas (not the default)
ifeq (alpha-linux-gnu,$(DEB_HOST_GNU_TYPE))
	CFLAGS += -mieee
endif

ifeq ($(DEB_HOST_GNU_TYPE), $(findstring $(DEB_HOST_GNU_TYPE), ia64-linux-gnu powerpc64-linux-gnu))
	CFLAGS += -g
else
	CFLAGS += -gstabs
endif

configure: configure-stamp
configure-stamp:
	phpize5
#	./configure --prefix=$(BUILD5)/usr --with-php-config=/usr/bin/php-config5
	./configure --prefix=/usr --with-php-config=/usr/bin/php-config5
	touch $@

build-arch:
build-indep:

build: build-stamp

build-stamp: configure
	$(MAKE) DESTDIR=$(DESTDIR)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf configure-stamp build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	# remove test generated files
	rm -f php_test_results_*.txt
	find tests/executor/ -type f ! -name \*phpt -exec rm {} \;
	# to make pbuilder happy
ifeq ($(shell which phpize),/usr/bin/phpize)
	phpize --clean
endif
	dh_clean

install: check
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	install -D -m 644 modules/suhosin.so debian/php5-suhosin$(PHP_EX5)/suhosin.so
	install -D -m 644 suhosin.ini debian/php5-suhosin/etc/php5/mods-available/suhosin.ini

check: build
	# ignore test failures for now
	echo n | $(MAKE) test

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdirs -a
	dh_installchangelogs -a Changelog
	dh_installdocs -a CREDITS
	dh_installexamples -a
	dh_install -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	echo "php:Depends=phpapi-`php-config5 --phpapi`" >> debian/php5-suhosin.substvars
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build-php5 clean binary-indep binary-arch binary install
